View all methods

catalog.entities.info

Retrieve details about a specific entity in your software catalog.

Facts

Method GET https://api.getdx.com/catalog.entities.info
Required scope catalog:read

Arguments

Name Type Description
token Token Auth token passed as an HTTP header.
identifier Text The unique identifier for the entity.

Example request

This is a typical request:

curl https://api.getdx.com/catalog.entities.info?identifier=payment-processing \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "entity": {
    "created_at": "2025-01-02 20:48:45.77969",
    "updated_at": "2025-01-02 20:48:45.77969",
    "type": "service",
    "name": "www",
    "identifier": "dx-marketing-site",
    "description": "The main DX marketing site",
    "owner_teams": [{ "id": "MzI1NTk", "name": "Front end" }],
    "properties": {
      "Language": ["Ruby", "HTML", "Shell"]
    },
    "aliases": {
      "github_repo": [
        {
          "identifier": "671150935",
          "name": "get-dx/www"
        }
      ]
    }
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.

Legacy path

This method is temporarily still available at the following legacy path:

GET https://api.getdx.com/entities.info